SDL_AddVulkanRenderSemaphores(3)

NAME
SDL_AddVulkanRenderSemaphores - Add a set of synchronization semaphores for the current frame.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_AddVulkanRenderSemaphores(SDL_Renderer *renderer, Uint32 wait_stage_mask, Sint64 wait_semaphore, Sint64 signal_semaphore);

DESCRIPTION
The Vulkan renderer will wait for wait_semaphore before submitting rendering commands and signal signal_semaphore after rendering commands are complete for this frame.

This should be called each frame that you want semaphore synchronization. The Vulkan renderer may have multiple frames in flight on the GPU, so you should have multiple semaphores that are used for synchronization. Querying

SDL_PROP_RENDERER_VULKAN_SWAPCHAIN_IMAGE_COUNT_NUMBER

will give you the maximum number of semaphores you'll need.

FUNCTION PARAMETERS

renderer
    the rendering context.

wait_stage_mask
    the VkPipelineStageFlags for the wait.

wait_semaphore
    a VkSempahore to wait on before rendering the current frame, or 0 if not needed.

signal_semaphore
    a VkSempahore that SDL will signal when rendering for the current frame is complete, or 0 if not needed.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
It is NOT safe to call this function from two threads at once.

AVAILABILITY
This function is available since SDL 3.2.0.